Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface DocumentConnectionPoolMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface DocumentConnectionPoolMBean
extends ServiceConfigurationMBean

Document Connection pool configuration mbean.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getCapacityIncrement()` Get the capacity increment.
`String[]` | `getClassPath()` Get the classpath elements to use when loading the driver (and, potentionally, DocumentProvider).
`String` | `getDriverName()` Get the JDBC driver name.
`int` | `getInitialCapacity()` Get the initial capacity of the pool.
`int` | `getLoginTimeout()` Get the login timeout (the amount of time the pool will wait for a connection to become available).
`int` | `getMaxCapacity()` Get the maximum capacity of the pool.
`Properties` | `getProperties()` Get the JDBC properties.
`String` | `getURL()` Get the JDBC URL.
`boolean` | `isShrinkingEnabled()` Is shrinking enabled.
`void` | `restart()` Restart the connection pool.
`void` | `setCapacityIncrement(int inc)` Set the capacity increment.
`void` | `setClassPath(String[] classpath)` Set the classpath elements to use when loading the driver (and, potentionally, DocumentProvider).
`void` | `setDriverName(String driverName)` Set the JDBC driver name.
`void` | `setInitialCapacity(int cap)` Set the initial capacity of the pool.
`void` | `setLoginTimeout(int timeout)` Set the login timeout (the amount of time the pool will wait for a connection to become available).
`void` | `setMaxCapacity(int cap)` Set the maximum capacity of the pool.
`void` | `setProperties(Properties p)` Set the JDBC properties.
`void` | `setShrinkingEnabled(boolean b)` Set if shrinking is enabled.
`void` | `setURL(String url)` Set the JDBC URL.
`void` | `shutdown()` Shutdown the connection pool.
`void` | `start()` Start the connection pool.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDriverName

    public String getDriverName()

  Get the JDBC driver name.

### setDriverName

    public void setDriverName(String driverName)

  Set the JDBC driver name.

  MBean Dynamic Method
  MBean Attribute Legal Null:
    true

### getURL

    public String getURL()

  Get the JDBC URL.

### setURL

    public void setURL(String url)

  Set the JDBC URL.

  MBean Dynamic Method
  MBean Attribute Legal Null:
    false

### getProperties

    public Properties getProperties()

  Get the JDBC properties.

### setProperties

    public void setProperties(Properties p)

  Set the JDBC properties.

  MBean Dynamic Method
  MBean Attribute Legal Null:
    true

### getInitialCapacity

    public int getInitialCapacity()

  Get the initial capacity of the pool.

  MBean Attribute Default Value:
    20

### setInitialCapacity

    public void setInitialCapacity(int cap)

  Set the initial capacity of the pool.

  MBean Dynamic Method
  MBean Attribute Legal Min:
    0

### getMaxCapacity

    public int getMaxCapacity()

  Get the maximum capacity of the pool.

  MBean Attribute Default Value:
    20

### setMaxCapacity

    public void setMaxCapacity(int cap)

  Set the maximum capacity of the pool.

  MBean Dynamic Method
  MBean Attribute Legal Min:
    1

### getCapacityIncrement

    public int getCapacityIncrement()

  Get the capacity increment.

  MBean Attribute Default Value:
    0

### setCapacityIncrement

    public void setCapacityIncrement(int inc)

  Set the capacity increment.

  MBean Dynamic Method
  MBean Attribute Legal Min:
    0

### isShrinkingEnabled

    public boolean isShrinkingEnabled()

  Is shrinking enabled.

  MBean Attribute Default Value:
    false

### setShrinkingEnabled

    public void setShrinkingEnabled(boolean b)

  Set if shrinking is enabled.

### getLoginTimeout

    public int getLoginTimeout()

  Get the login timeout (the amount of time the pool will wait for a connection to become available).

  MBean Attribute Default Value:
    0

### setLoginTimeout

    public void setLoginTimeout(int timeout)

  Set the login timeout (the amount of time the pool will wait for a connection to become available).

### getClassPath

    public String[] getClassPath()

  Get the classpath elements to use when loading the driver (and, potentionally, DocumentProvider).

  All paths are relative to the enterprise application base. The enterprise application classloader will be the parent classloader.

### setClassPath

    public void setClassPath(String[] classpath)

  Set the classpath elements to use when loading the driver (and, potentionally, DocumentProvider).

  All paths are relative to the enterprise application base. The enterprise application classloader will be the parent classloader.

  MBean Dynamic Method
  MBean Attribute Legal Null:
    true

### restart

    public void restart()

  Restart the connection pool.

  MBean Dynamic Method

### start

    public void start()

  Start the connection pool.

  MBean Dynamic Method

### shutdown

    public void shutdown()

  Shutdown the connection pool.

  MBean Dynamic Method

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved